@echo =======================
@echo Starting the SOSOC demo
@echo =======================


@set FELIX_HOME=.

@set ROOT=..\jsr223-engines

@set OPENJFX_HOME=E:\devtools\openjfx\dist
@set OPENJFX_ENGINE=%OPENJFX_HOME%\lib\shared\javafxc.jar
@set JSR223ENGINES=%OPENJFX_ENGINE%

@set RUBY_ENGINE=%ROOT%\jruby\build\jruby-engine.jar
@set RUBY_ENGINE=%RUBY_ENGINE%;%ROOT%\jruby.jar
@set JSR223ENGINES=%JSR223ENGINES%;%RUBY_ENGINE%

@set JYTHON_ENGINE=%ROOT%\jython\build\jython-engine.jar
@set JYTHON_ENGINE=%JYTHON_ENGINE%;%ROOT%\jython.jar
@set JSR223ENGINES=%JSR223ENGINES%;%JYTHON_ENGINE%

@set BEANSHELL_ENGINE=%ROOT%\beanshell\build\bsh-engine.jar
@set BEANSHELL_ENGINE=%BEANSHELL_ENGINE%;%ROOT%\bsh-2.0b5.jar
@set JSR223ENGINES=%JSR223ENGINES%;%BEANSHELL_ENGINE%

@set GROOVY_ENGINE=%ROOT%\groovy-all-1.6.4.jar;%ROOT%\asm-2.2.3.jar;%ROOT%\asm-analysis-2.2.3.jar
@set JSR223ENGINES=%JSR223ENGINES%;%GROOVY_ENGINE%


@set OCAMLRUN_ENGINE=%ROOT%\ocamlrun-scripting-standalone.jar
@set JSR223ENGINES=%JSR223ENGINES%;%OCAMLRUN_ENGINE%


@cd %FELIX_HOME%
java -Xbootclasspath/p:%JSR223ENGINES% -jar bin\felix.jar cache\sosoc

