print_endline "Hello world!";;



let rec sum xs =
  match xs with
    | [] -> 0
    | x :: xs' -> x + sum xs'




let rec quicksort = function
   | [] -> []
   | pivot :: rest ->
       let is_less x = x < pivot in
       let left, right = List.partition is_less rest in
       quicksort left @ [pivot] @ quicksort right




let year_size = 365.;;
 
let rec birthday_paradox prob people =
     let prob' = (year_size -. float people) /. year_size *. prob  in
     if prob' < 0.5 then
         Printf.printf "answer = %d\n" (people+1)
     else
         birthday_paradox prob' (people+1) ;;



